{
  lib,
  config,
  ...
}: let
  cfg = config.myConfig.programs.foot;
in {
  options.myConfig.programs.foot = {
    enable = lib.mkEnableOption "foot, a lightweight wayland terminal emulator";
  };

  config = lib.mkIf cfg.enable {
    programs.foot = {
      enable = true;
      settings = {
        main = {
          font = "FiraCode Nerd Font Mono:size=10";
          dpi-aware = "yes";
        };
        colors = {
          background = "0a0807";
          foreground = "e6e2de";

          regular0 = "26211e"; # black
          regular1 = "f75b72"; # red
          regular2 = "67af34"; # green
          regular3 = "d0bf8f"; # yellow
          regular4 = "509af6"; # blue
          regular5 = "ca64f3"; # magenta
          regular6 = "1faeae"; # cyan
          regular7 = "c1b7b0"; # white

          bright0 = "585049"; # black
          bright1 = "fb8590"; # red
          bright2 = "75c73b"; # green
          bright3 = "e49f27"; # yellow
          bright4 = "77b1fb"; # blue
          bright5 = "d68af7"; # magenta
          bright6 = "24c6c6"; # cyan
          bright7 = "f2f0ef"; # white
        };
      };
    };
  };
}
